

script.on_event(defines.events.on_tick, function(event)
  for _,player in pairs(game.players) do
    if not player.gui.center["scrollPaneBug"] then
      local rootElement = player.gui.center.add{
        type = "frame",
        name = "scrollPaneBug",
        caption = "Bug report scroll-pane",
        direction = "vertical"
      }

      local scrollPaneElement = rootElement.add{
        type = "scroll-pane",
        style = "bugreport_customScrollPane",
        horizontal_scroll_policy = "never",
      }

      for i = 1, 3 do
        scrollPaneElement.add{
          type = "button",
          caption = string.format("%i", i),
        }.style.minimal_width = 350
      end

      player.opened = rootElement
    end
  end
end)
